import tag_header,struct

class OBJE:
	def __init__(self,dFile,dOffset,localFile, filePath):
		self.fPath=filePath
		self.tagHeader=tag_header.Tag_Header(dFile,dOffset)
		if localFile>0:
			self.isLocal=True
		else:
			dFile.seek(self.tagHeader.getOffset())
			self.isLocal=False
		self.theRest=dFile.read(64)
	def compareData(self, dObject):
		if dObject.theRest==self.theRest:
			return True
		else:
			return False
		
		
	def getLinkedTags(self):
		return False